/** \file
	Routines related do prototype board and debugging
*/
#include <avr/io.h>
#include <util/delay.h>
#include "board.h"

#define BUZZER_DIR_PORT	DDRD
#define BUZZER_PORT 	PORTD
#define BUZZER_PIN 		PD7

inline void init_beeper(void)
{
	BUZZER_DIR_PORT |= (1<<BUZZER_PIN);	
}

inline void beeperOn(void)
{
	BUZZER_PORT &= ~(1<<BUZZER_PIN);
}

inline void beeperOff(void)
{
	BUZZER_PORT |= (1<<BUZZER_PIN);
}

void beep(void)
{
	BUZZER_PORT &= ~(1<<BUZZER_PIN);
	_delay_loop_2(0xffff);
	BUZZER_PORT |= (1<<BUZZER_PIN);
	_delay_loop_2(0xffff);
}	


#define LED1_DIR_PORT	DDRD
#define LED1_PORT 		PORTD
#define LED1_PIN 		PD5

inline void init_LED1(void)
{
	LED1_DIR_PORT |= (1<<LED1_PIN);
	Led1Off();
}

inline void Led1On(void)
{
	LED1_PORT &= ~(1<<LED1_PIN);
}

inline void Led1Off(void)
{
	LED1_PORT |= (1<<LED1_PIN);
}

inline void Led1Toggle(void)
{
	LED1_PORT ^= (1<<LED1_PIN);
}


#define LED2_DIR_PORT	DDRD
#define LED2_PORT 		PORTD
#define LED2_PIN 		PD6

inline void init_LED2(void)
{
	LED2_DIR_PORT |= (1<<LED2_PIN);
	Led2Off();
}

inline void Led2On(void)
{
	LED2_PORT &= ~(1<<LED2_PIN);
}

inline void Led2Off(void)
{
	LED2_PORT |= (1<<LED2_PIN);
}

inline void Led2Toggle(void)
{
	LED2_PORT ^= (1<<LED2_PIN);
}
